Subject: Re: bug#14574: prog-prettify-symbols breaks font-locking

From: Juanma Barranquero <[email-masked]>
Date: Mon, 17 Jun 2013 11:22:33 +0200

On Mon, Jun 17, 2013 at 9:25 AM, Ted Zlatanov <[email-masked]> wrote:

> IIUC, that would be pretty annoying when editing Perl or other languages
> with Unicode (e.g. Cyrillic) data in the script.

Not many scripts (relatively speaking) use the kind of character
variation that needs composition (mostly arabic and many indic
scripts, but not cyrilic, I think).

But in any case, it is really common to deactivate font-locking while
programming? I think I've never done it unless I was specifically
trying to debug some problem with font-locking. Also, we're still a
long way from another release, I suppose. Plenty of time to receive
user complains and implement a more thorough fix, IMHO.

   J